Subject: Re: [manet] Question about AODV

From: "Jack Wang" <[email-masked]>
Date: Wed, 5 May 2004 13:46:07 -0400 (EDT)

Hi Justin,

Thanks for the comment.
The current version of AODV code in NS2 still broadcast ERROR messages. I implement unicast for ERROR in AODV. But it can not completely eliminate the invalid routes. Some nodes still store broken routes. I think that it is possible unicast packet may be dropped, so some upstream nodes can not receive it.
I do not know if my consideration is correct or not.

Jack  

 --- On Wed 05/05, Justin Lipman < [email-masked] > wrote:
From: Justin Lipman [mailto: [email-masked]]
To: [email-masked], [email-masked]
Date: Wed, 5 May 2004 16:31:13 +1000
Subject: Re: [manet] Question about AODV

Hi Jack,<br><br>I think a possible answer to your question is as follows:<br><br>Route error messages are unicast. Thus if node 5 sends a route error message <br>back to node 2, it will know if node 2 does not receive the route error <br>message and if it still has a link to node 2, then possibly (not sure in the <br>current revision of aodv) it will try to send the route error message to 2 <br>again. Now lets assume node 2 moves out of transmission range of node 5 and <br>therefore node 5 cant communicate with node 2. Then I assume node 2 will <br>determine a link error with node 5 and inform node 1. What happens to node 5, <br>well it loses both links... possibly there is room for some local route <br>repair? I havent kept up with the aodv spec... so maybe someone more <br>knowledgeable will provide a better answer... :-)<br><br>Cheers,<br>Justin<br><br>-- <br>Research Associate<br>Smart Internet Technology Cooperative Research Centre<br>http://www.titr.uow.edu.au/~justin<!
 br><br>On Wed, 5 May 2004 03:23 pm, Jack Wang wrote:<br>> Hi all,<br>><br>> In AODV, when a node detects a link break, it sends an ERROR message to<br>> nodes on its precursor list, so that the upstream nodes can know the broken<br>> link and disable the relevant routes.<br>><br>> For example,<br>><br>>       1-----2----5---X---6<br>><br>> The original route is 1-2-5-6. Assume the link between 5 and 6 is down.<br>> Node 5 will send ERROR to 2, then 2 sends ERROR to 1. But if due to some<br>> reason, e.g., collision, node 2 does not receive node 5's ERROR message, 2<br>> will not disable the route. So both 1 and 2 store invalid route, which may<br>> cause packet dropping. Is my analysis correct? How to prevent the above<br>> problem?<br>><br>> Thanks,<br>><br>> Jack<br>><br>><br>> _______________________________________________<br>> Join Excite! - http://www.excite.com<br>> The most personalized portal on the Web!<br>><br>> _______________________________________________<br>!
 > manet mailing list<br>> [email-masked]<br>> https://www1.ietf.org/ma
ilman/listinfo/manet<br><br>

_______________________________________________
Join Excite! - http://www.excite.com
The most personalized portal on the Web!

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet